Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model.markup
Interface ISessionContext

All Known Subinterfaces:
  IBlockingInteractionBaseResponseContext, IBlockingInteractionResponseContext, IGetMarkupBaseResponseContext, IGetMarkupResponseContext, IGetRenderDependenciesResponseContext, IGetResourceResponseContext, IHandleEventsResponseContext

    public interface ISessionContext

An interface that represents data of the "sessionContext" element, which is described in the WSRP specification.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`int` | `getSessionExpires()` A duration in number of seconds after which the current session will expire.
`String` | `getSessionID()` A string representing a session id on the Producer for this Consumer and the current portlet.
`void` | `setSessionExpires(int sessionExpires)`
`void` | `setSessionID(String sessionID)`

Method Detail

### getSessionID

    String getSessionID()

  A string representing a session id on the Producer for this Consumer and the current portlet.

  Returns
    A session id of the current portlet.

### setSessionID

    void setSessionID(String sessionID)

### getSessionExpires

    int getSessionExpires()

  A duration in number of seconds after which the current session will expire.

  Returns
    number of seconds.

### setSessionExpires

    void setSessionExpires(int sessionExpires)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.